> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/adtool/api-adtool-templates.md).

# /api/adtool/templates

## GET /api/adtool/templates

> Get available templates for adtools

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/adtool/templates"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"get_adtool_templates":{"type":"object","properties":{"success":{"type":"boolean"}}}}},"paths":{"/api/adtool/templates":{"get":{"description":"Get available templates for adtools","tags":["/api/adtool/templates"],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/get_adtool_templates"}},"application/json":{"schema":{"$ref":"#/components/schemas/get_adtool_templates"}},"application/xml":{"schema":{"$ref":"#/components/schemas/get_adtool_templates"}}}}}}}}}
```
